commit:     34ceee57dd996434049383e5b7229ef707db8cd1
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Fri Sep  5 19:34:22 2025 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Fri Sep  5 20:04:53 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=34ceee57

app-containers/devcontainer: bump to 0.80.1

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-containers/devcontainer/Manifest               |  1 +
 .../devcontainer/devcontainer-0.80.1.ebuild        | 48 ++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/app-containers/devcontainer/Manifest 
b/app-containers/devcontainer/Manifest
index 5f8b33ee647d..3953650c8df4 100644
--- a/app-containers/devcontainer/Manifest
+++ b/app-containers/devcontainer/Manifest
@@ -1 +1,2 @@
 DIST devcontainer-0.80.0.tgz 612503 BLAKE2B 
ec349f0c71ea74377bc5b31d0933a4cd1f30de69cb81e9ca70aa550821c23ebeeea225e88303fe0878a023c0f0a5df3d19b3138c8da99b315f75b3efa8582833
 SHA512 
c3611ac608f27951b2cdf03f294119061c97aaeff93f258d5dc9eb5ec64e06bb7768ddb3c86887ad7a06e784c5e8ad1be43482174d51b797e7232ac2785cc52b
+DIST devcontainer-0.80.1.tgz 612511 BLAKE2B 
f01d08d658aaa07ca7bae0ddf21c2baa936fc2d95d6b02d44ac68bb3f4c9ed16e7663c1515a7022747e534787bafa189b5654daa4ff281a0626b09e3e5cd5e50
 SHA512 
143eb0abc91ad9f56ac9b5a8a16fbed14553aa8e3a4f3c476e5c138bdcb9f13a8fdd0771ea2c0cb7f8738237dcb3ceb906d477ebec0483ea913dc2b0c63ce304

diff --git a/app-containers/devcontainer/devcontainer-0.80.1.ebuild 
b/app-containers/devcontainer/devcontainer-0.80.1.ebuild
new file mode 100644
index 000000000000..ff0b34dd1c90
--- /dev/null
+++ b/app-containers/devcontainer/devcontainer-0.80.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Reference implementation of the Development Containers 
specification"
+HOMEPAGE="https://containers.dev/
+       https://github.com/devcontainers/cli/";
+
+SRC_URI="https://registry.npmjs.org/@devcontainers/cli/-/cli-${PV}.tgz
+       -> ${P}.tgz"
+S="${WORKDIR}/package"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       net-libs/nodejs
+"
+BDEPEND="
+       >=net-libs/nodejs-16[npm]
+"
+
+DOCS=( CHANGELOG.md README.md )
+
+src_compile() {
+       # Skip, nothing to compile here.
+       :
+}
+
+src_install() {
+       local -a my_npm_opts=(
+               --audit false
+               --color false
+               --foreground-scripts
+               --global
+               --offline
+               --omit dev
+               --prefix "${ED}/usr"
+               --progress false
+               --verbose
+       )
+       npm "${my_npm_opts[@]}" install "${DISTDIR}/${P}.tgz" \
+               || die "npm install failed"
+
+       einstalldocs
+}

Reply via email to